import { Component } from '@angular/core';
import {CookieService} from 'ngx-cookie-service';
import {MenuItem} from 'primeng/api';
import {MenubarModule} from 'primeng/menubar';
import {RouterOutlet} from '@angular/router';

@Component({
  selector: 'app-header',
  standalone: true,
  imports: [
    MenubarModule,
    RouterOutlet
  ],
  templateUrl: './header.component.html',
  styleUrl: './header.component.css'
})
export class HeaderComponent {
  items: MenuItem[] = [];
  constructor(private cookieService: CookieService) {
    if (this.cookieService.get('author')) {
      this.items = [
        {
          label: 'Accueil',
          icon: 'pi pi-home',
          routerLink: '/'
        },
        {
          label: 'Se déconnecter',
          icon: 'pi pi-sign-out',
          routerLink: '/logout'
        },
        {
          label: 'Mon profil',
          icon: 'pi pi-user',
          routerLink: '/me'
        }
      ];
    } else {
      this.items = [
        {
          label: 'Accueil',
          icon: 'pi pi-home',
          routerLink: '/'
        },
        {
          label: 'Se connecter',
          icon: 'pi pi-sign-in',
          routerLink: '/login'
        },
        {
          label: "S'inscrire",
          icon: 'pi pi-user-plus',
          routerLink: '/register'
        }
      ];
    }
  }
}
